New Features Common To All Modules of 8.0

This section lists the new features related to all the modules of the Denodo Platform 8.0.

Java Runtime Environment

The Denodo Platform now runs with the Java Runtime Environment (JRE) version 11. The Denodo servers and its tools cannot run with earlier Java versions.

Client applications can load the Denodo JDBC driver if they run with Java 8, 9, 10 or 11.

Denodo SSL/TLS Configurator Script

There is a new script called Denodo SSL/TLS Configurator Script that simplifies the process of enabling SSL. This script modifies all the configuration properties of all the components of the installation where you run it. It works for the installation of the Denodo Platform and Solution Manager. You still have to generate or obtain a keystore (that is, the file with the private key) and export its public key to a file.

This script is located in <DENODO_HOME/bin/denodo_tls_configurator. It is available in the installation of the Denodo Platform and the Solution Manager.

The section Denodo SSL/TLS Configurator Script of the Installation Guide explains how to use it.

New Supported Operating System

Added support for Windows Server 2019

All Components Are Installed as Windows Services

In previous versions, when you install the Denodo Platform on Windows, the installer creates a Windows service for some components but not for these ones:

  • Data Catalog

  • Scheduler Administration Tool

  • Diagnostic & Monitoring Tool

  • Solution Manager Administration Tool

In Denodo 8.0, the installer for Windows also creates a Windows service for each of these components. You still have to do the post-installation task Configure Windows Services.

Web Container of Denodo

New Version of the Web Container: Apache Tomcat 9.0

The embedded web container of Denodo has been upgraded to Apache Tomcat 9.0. This version provides more stability, better performance and better memory management than the version included in earlier versions of Denodo.

Future updates of Denodo may update the version of Tomcat to benefit from enhancements and security fixes. Find the exact version of Tomcat used in your installation in the file <DENODO_HOME>/apache-tomcat/RELEASE-NOTES.

Only Allow TLS 1.2 and 1.3

When you enable TLS on the web container, only TLSv1.2 and TLSv1.3 connections are allowed. The previous SSL/TLS protocols are disabled because they are no longer considered secure.